%
%
%
%
%
%


disp (" ");
disp (" ");
disp ('1. Number of iterations for different epsilon values for min_bisection');
disp ('----');
bisection_over_epsilon;

methods = {
    @min_bisection;
    @min_golden_section;
    @min_fibonacci;
    @min_bisection_der
};

disp (" ");
disp (" ");
disp ('2. Number of iterations for different lambda values');
disp ('----');
for i = 1:length(methods)
    iterations_over_lambda(methods{i});
end


disp (" ");
disp (" ");
disp ('3. [a, b] interval convergence');
disp ('----');
for i = 1:length(methods)
    interval_over_iterations(methods{i});
end